Skip to main content
PUT
/
api
/
v1
/
ssh-keys
/
{id}
Update SSH key
curl --request PUT \
  --url https://api.rafftechnologies.com/api/v1/ssh-keys/{id} \
  --header 'Content-Type: application/json' \
  --header 'X-API-Key: <api-key>' \
  --data '
{
  "name": "<string>"
}
'
{
  "success": true,
  "data": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "name": "laptop",
    "public_key": "<string>",
    "key_type": "ssh-rsa",
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.rafftechnologies.com/llms.txt

Use this file to discover all available pages before exploring further.

Updated May 8, 2026

Authorizations

X-API-Key
string
header
required

API key for authentication. Each key is bound to a specific account.

Path Parameters

id
string<uuid>
required

SSH key ID (UUID)

Body

application/json
name
string
required

New SSH key display name

Required string length: 1 - 128

Response

SSH key updated

success
boolean
data
object
Last modified on May 8, 2026